[arvados] updated: 2.1.0-2628-g81aac5dd2
git repository hosting
git at public.arvados.org
Mon Jun 27 02:33:44 UTC 2022
Summary of changes:
tools/salt-install/installer.sh | 26 +++++++++++++++++++++-----
1 file changed, 21 insertions(+), 5 deletions(-)
via 81aac5dd255bfe1da02182be6766b46c78602303 (commit)
from 9b12514b52caf22c98bd75fa08f3ad3611b1817a (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 81aac5dd255bfe1da02182be6766b46c78602303
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Sun Jun 26 22:33:27 2022 -0400
18870: Run diagnostics
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/tools/salt-install/installer.sh b/tools/salt-install/installer.sh
index 12efc3eab..f4934aa2f 100755
--- a/tools/salt-install/installer.sh
+++ b/tools/salt-install/installer.sh
@@ -36,6 +36,14 @@ deploynode() {
fi
}
+loadconfig() {
+ CONFIG_FILE=local.params
+ if ! test -s $CONFIG_FILE ; then
+ echo "Must be run from arvados-setup, maybe you need to 'initialize' first?"
+ fi
+ source ${CONFIG_FILE}
+}
+
subcmd="$1"
if test -n "$subcmd" ; then
shift
@@ -88,12 +96,8 @@ case "$subcmd" in
;;
deploy)
NODE=$1
- CONFIG_FILE=local.params
- if ! test -s $CONFIG_FILE ; then
- echo "Must be run from arvados-setup, maybe you need to 'initialize' first?"
- fi
- source ${CONFIG_FILE}
+ loadconfig
set -x
@@ -114,7 +118,19 @@ case "$subcmd" in
sync
deploynode
fi
+
;;
+ diagnostics)
+ loadconfig
+
+ if ! which arvados-client ; then
+ apt-get install arvados-client
+ fi
+
+ export ARVADOS_API_HOST="${CONTROLLER_INT_IP}"
+ export ARVADOS_API_TOKEN="$SYSTEM_ROOT_TOKEN"
+
+ arvados-client diagnostics -internal-client
*)
echo "Arvados installer"
echo ""
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list